# Method: customers.telemetry.devices.get

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices/get#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices/get#body.response_body)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices/get#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices/get#try-it)

Get telemetry device.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{name=customers/*/telemetry/devices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the `TelemetryDevice` to return. |

### Query parameters

| Parameters ||
|---|---|
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Read mask to specify which fields to return. Supported readMask paths are: - name - orgUnitId - deviceId - serialNumber - cpuInfo - cpuStatusReport - memoryInfo - memoryStatusReport - networkInfo - networkDiagnosticsReport - networkStatusReport - osUpdateStatus - graphicsInfo - graphicsStatusReport - batteryInfo - batteryStatusReport - storageInfo - storageStatusReport - thunderboltInfo - audioStatusReport - bootPerformanceReport - heartbeatStatusReport - networkBandwidthReport - peripheralsReport - kioskAppStatusReport - appReport - runtimeCountersReport <br /> This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.devices#TelemetryDevice`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.telemetry.readonly`